Skip to content
Start here

Import DNS Records

client.dns.records.import(RecordImportParams { zone_id, file, proxied } params, RequestOptionsoptions?): RecordImportResponse { recs_added, total_records_parsed }
POST/zones/{zone_id}/dns_records/import

You can upload your BIND config through this endpoint. It assumes that cURL is called from a location with bind_config.txt (valid BIND config) present.

See the documentation for more information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Write
ParametersExpand Collapse
params: RecordImportParams { zone_id, file, proxied }
zone_id: string

Path param: Identifier.

maxLength32
file: string

Body param: BIND config to import.

Tip: When using cURL, a file can be uploaded using --form 'file=@bind_config.txt'.

proxied?: string

Body param: Whether or not proxiable records should receive the performance and security benefits of Cloudflare.

The value should be either true or false.

ReturnsExpand Collapse
RecordImportResponse { recs_added, total_records_parsed }
recs_added?: number

Number of DNS records added.

total_records_parsed?: number

Total number of DNS records parsed.

Import DNS Records

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.dns.records.import({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  file: 'www.example.com. 300 IN  A 127.0.0.1',
});

console.log(response.recs_added);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recs_added": 5,
    "total_records_parsed": 5
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recs_added": 5,
    "total_records_parsed": 5
  }
}